lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <20241104065346.3831631-1-zhangshida@kylinos.cn>
Date: Mon,  4 Nov 2024 14:53:46 +0800
From: zhangshida <starzhangzsd@...il.com>
To: starzhangzsd@...il.com
Cc: dchinner@...hat.com,
	djwong@...nel.org,
	leo.lilong@...wei.com,
	linux-kernel@...r.kernel.org,
	linux-xfs@...r.kernel.org,
	osandov@...com,
	wozizhi@...wei.com,
	xiang@...nel.org,
	zhangjiachen.jaycee@...edance.com,
	zhangshida@...inos.cn
Subject: auto_frag.sh 

From: Shida Zhang <zhangshida@...inos.cn>

#!/bin/bash

cleanup() {
	echo "Ctrl+C detected. Killing child processes..." >&2
	pkill -P $$ # Kill all child processes
	exit 1
}
trap cleanup SIGINT SIGTERM

./frag.sh test.img mnt/  $((500*1024)) frag	$1
./frag.sh test.img mnt/  $((200*1024)) frag2	$1
./frag.sh test.img mnt/  $((100*1024)) frag3	$1
./frag.sh test.img mnt/  $((100*1024)) frag4	$1
./frag.sh test.img mnt/  $((100*1024)) frag5	$1
./frag.sh test.img mnt/  $((100*1024)) frag6	$1
./frag.sh test.img mnt/  $((100*1024)) frag7	$1
./frag.sh test.img mnt/  $((100*1024)) frag8	$1
./frag.sh test.img mnt/  $((100*1024)) frag9	$1
 

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ